Bug 81315

Summary: [EFL][DRT]Do not create ScrollbarEfl when mockScrollbar is enabled.
Product: WebKit Reporter: Ryuan Choi <ryuan.choi>
Component: WebKit EFLAssignee: Ryuan Choi <ryuan.choi>
Status: RESOLVED FIXED    
Severity: Normal CC: gyuyoung.kim, lucas.de.marchi, rakuco, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 79853    
Attachments:
Description Flags
Patch
none
fixTypo
none
Patch none

Description Ryuan Choi 2012-03-16 00:00:04 PDT
DRT use mockScrollbar to draw platform independent scrollbar.

But, WebKit/Efl creates custom scrollbar which is not related to ScrollbarTheme,
so custom scrollbar is still created although mockScrollbar is enabled.
Comment 1 Ryuan Choi 2012-03-16 00:25:46 PDT
Created attachment 132218 [details]
Patch
Comment 2 Gyuyoung Kim 2012-03-16 00:47:33 PDT
Comment on attachment 132218 [details]
Patch

Attachment 132218 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/11964060
Comment 3 Build Bot 2012-03-16 00:48:13 PDT
Comment on attachment 132218 [details]
Patch

Attachment 132218 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/11962136
Comment 4 Ryuan Choi 2012-03-16 01:07:09 PDT
Created attachment 132224 [details]
fixTypo
Comment 5 Raphael Kubo da Costa (:rakuco) 2012-04-26 19:21:15 PDT
Comment on attachment 132224 [details]
fixTypo

View in context: https://bugs.webkit.org/attachment.cgi?id=132224&action=review

Makes sense.

> Source/WebCore/ChangeLog:8
> +        ScrollbarEfl creates custom scrollbars as separeted layer and they are

s/separeted/separated/
Comment 6 Ryuan Choi 2012-04-29 18:30:08 PDT
Created attachment 139410 [details]
Patch
Comment 7 Ryuan Choi 2012-04-29 18:30:56 PDT
(In reply to comment #5)
> (From update of attachment 132224 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=132224&action=review
> 
> Makes sense.
> 
> > Source/WebCore/ChangeLog:8
> > +        ScrollbarEfl creates custom scrollbars as separeted layer and they are
> 
> s/separeted/separated/

Sorry, fixed.
Comment 8 WebKit Review Bot 2012-05-08 12:35:52 PDT
Comment on attachment 139410 [details]
Patch

Clearing flags on attachment: 139410

Committed r116450: <http://trac.webkit.org/changeset/116450>
Comment 9 WebKit Review Bot 2012-05-08 12:35:57 PDT
All reviewed patches have been landed.  Closing bug.